lkml.org 
[lkml]   [2020]   [Sep]   [8]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v3 0/7] set clang minimum version to 10.0.1
On Mon, Sep 07, 2020 at 12:12:30PM -0400, Arvind Sankar wrote:
> On Wed, Sep 02, 2020 at 03:59:04PM -0700, Nick Desaulniers wrote:
> > Adds a compile time #error to compiler-clang.h setting the effective
> > minimum supported version to clang 10.0.1. A separate patch has already
> > been picked up into the Documentation/ tree also confirming the version.
> >
>
> Is 10.0.1 actually required or could it just check major version? I have
> 10.0.0 currently and at least x86 seems to be building fine.
>
> Thanks.

There was a decent amount of effort put in to testing LLVM 10.0.1 and
making sure that it could handle the kernel. I know of a few backend
errors that were fixed and backported to 10.0.1:

https://github.com/ClangBuiltLinux/linux/issues/944
https://github.com/ClangBuiltLinux/linux/issues/954

Plus there was this rather nasty ld.lld crash in 10.0.0 that just
x86_64_defconfig triggers with mainline:

https://github.com/ClangBuiltLinux/linux/issues/962

I do not have any strong opinions around checking just major version but
I would prefer that we stick with 10.0.1 because it has been tested
against several kernel configs unlike 10.0.0. However, I know that Kees
mentioned that Ubuntu 20.04 shipped clang 10.0.0 and there is no 10.0.1
available yet. Presumably it is coming down the pipeline from Debian
since 10.0.1 appears to be in testing? I suppose if 10.0.0 is shipped in
multiple places without an easy upgrade path to 10.0.1, we should
consider softening up this version check, at least for the time being. I
just worry about duplicate reports.

Cheers,
Nathan

\
 
 \ /
  Last update: 2020-09-08 06:43    [W:0.220 / U:3.204 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site